<?php

namespace FM\Service;

use FM\Factory\LoginFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class LoginService
{
    protected $LoginFactory;
    protected $Environment;
    protected $newCode;
    protected $FuncionariosHierarqService;

    public function __construct(LoginFactory $LoginFactory, Environment $Environment, NewCode $newCode)
    {
        $this->LoginFactory                 = $LoginFactory;
        $this->Environment                  = $Environment;
        $this->newCode                      = $newCode;
    }

    public function findOperador($filtro)
    {
        return $this->LoginFactory->findOperador();
    }
}
